# Uses of Class
net.shibboleth.idp.authn.principal.PrincipalServiceManager

Packages that use PrincipalServiceManager
Package
Description
net.shibboleth.idp.admin
Classes supporting administrative interface machinery.
net.shibboleth.idp.authn
APIs related to the authentication of a subject.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of PrincipalServiceManager in net.shibboleth.idp.admin

Fields in net.shibboleth.idp.admin declared as PrincipalServiceManager
Modifier and Type
Field
Description
`private PrincipalServiceManager`
BasicAdministrativeFlowDescriptor.`principalServiceManager`
Access to principal services.
Methods in net.shibboleth.idp.admin with parameters of type PrincipalServiceManager
Modifier and Type
Method
Description
`void`
BasicAdministrativeFlowDescriptor.`setPrincipalServiceManager(PrincipalServiceManager manager)`
Sets a `PrincipalServiceManager` to use for string-based principal processing.

## Uses of PrincipalServiceManager in net.shibboleth.idp.authn

Fields in net.shibboleth.idp.authn declared as PrincipalServiceManager
Modifier and Type
Field
Description
`private PrincipalServiceManager`
AuthenticationFlowDescriptor.`principalServiceManager`
Access to principal services.
Methods in net.shibboleth.idp.authn with parameters of type PrincipalServiceManager
Modifier and Type
Method
Description
`void`
AuthenticationFlowDescriptor.`setPrincipalServiceManager(PrincipalServiceManager manager)`
Sets a `PrincipalServiceManager` to use for string-based principal processing.

## Uses of PrincipalServiceManager in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as PrincipalServiceManager
Modifier and Type
Field
Description
`private final PrincipalServiceManager`
DefaultAuthenticationResultSerializer.`principalServiceManager`
Manager for principal services.
Constructors in net.shibboleth.idp.authn.impl with parameters of type PrincipalServiceManager
Modifier
Constructor
Description
``
`DefaultAuthenticationResultSerializer(PrincipalServiceManager manager, GenericPrincipalSerializer defaultSerializer)`
Constructor.